Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	An HTTP and WebDAV client library
Name: 		neon
Version: 	0.28.2
Release: 	2
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/neon-%{version}.tar.gz
Patch0: 	neon-0.27.0-multilib.patch
License: 	LGPLv2+
Group: 		System/Libraries
Prefix: 	%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	expat-devel, gnutls-devel, zlib-devel, krb5-devel
BuildRequires: 	pkgconfig


%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: 	Development libraries and C header files for the neon library
Group:	 	Development/Libraries
Requires: 	neon = %{version}-%{release}, gnutls-devel, zlib-devel, expat-devel
Requires: 	pkgconfig

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup -q
%patch0 -p1

%build
export CC="%{__cc} -pthread"
%configure --with-expat --enable-shared --disable-static \
        --enable-warnings \
        --with-ssl=gnutls --enable-threadsafe-ssl=posix
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

sed -ri "/^dependency_libs/{s,-l[^ ']*,,g}" \
      $RPM_BUILD_ROOT%{_libdir}/libneon.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/neon.pc
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/*.*a
%{_libdir}/*.so

%changelog
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.28.2-2
- rebuilt against gnutls 2.2.2
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.28.2-1
- Version Update
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.28.1-1
- Version Update
* Thu Feb 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.28.0-2
- added pkgconfig patch
* Thu Feb 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.28.0-1
- Version update
* Fri Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 0.27.2-1
- Version update
* Sun Jan 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.25.5-1
- Version Update
* Fri Oct 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.25.4-1
- Version update
* Fri Jul 08 2005 Karsten Brockmkann <brockmka@rz.fh-augsburg.de> 0.25.1-2
- rebuilt against openssl 0.9.8
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.25.1-1
- Version Update to 0.25.1
* Fri Jan 14 2005 Christian Metzen <metzench@ccux-linux.de> 0.24.6-1
- Initial Release
